Package Base Details: lib32-libdbusmenu

Git Clone URL: https://aur.archlinux.org/lib32-libdbusmenu.git (read-only)
Submitter: ImNtReal
Maintainer: SunRed
Last Packager: SunRed
Votes: 75
Popularity: 3.802079
First Submitted: 2015-03-22 14:49
Last Updated: 2016-05-11 22:26

Latest Comments

SunRed commented on 2016-05-11 22:31

@yurikoles Sorry for not answering back then, I just saw your comment now (maybe I overlooked the notification email).
Does this error still occur? It builds just fine in my case.

yurikoles commented on 2016-03-23 10:53

/usr/lib32/glib-2.0/include/glibconfig.h:122:0: error: "G_CAN_INLINE" redefined [-Werror]
#define G_CAN_INLINE 1
^

https://gist.github.com/yurikoles/38c6677b2687da21d767

SunRed commented on 2016-03-16 15:00

@FadeMind
Okay, I will change it again and update the package.
I guess it only built in my case correctly in parallel mode.

FadeMind commented on 2016-03-16 14:55

make -j1 solved issue.

SunRed commented on 2016-03-16 14:51

@FadeMind
Have you tried using "make -j1" again?

FadeMind commented on 2016-03-16 14:39

(..)

make[2]: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-glib'
make[1]: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-glib'
make: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-glib'
make: Entering directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
make install-am
make[1]: Entering directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
make[2]: Entering directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
/usr/bin/mkdir -p '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/'
/usr/bin/mkdir -p '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/'
/usr/bin/mkdir -p '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/lib32/pkgconfig'
/usr/bin/install -c -m 644 dbusmenu-gtk.h client.h menu.h menuitem.h parser.h '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/'
/usr/bin/install -c -m 644 dbusmenu-gtk.h client.h menu.h menuitem.h parser.h '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/'
/usr/bin/install: cannot create regular file '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/dbusmenu-gtk.h': File exists
/usr/bin/install -c -m 644 dbusmenu-gtk3-0.4.pc '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/lib32/pkgconfig'
/usr/bin/install: cannot create regular file '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/client.h': File exists
/usr/bin/install: cannot change permissions of '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/menu.h': No such file or directory
Makefile:874: recipe for target 'install-libdbusmenu_gtk3includeHEADERS' failed
make[2]: *** [install-libdbusmenu_gtk3includeHEADERS] Error 1
make[2]: *** Waiting for unfinished jobs....
Makefile:895: recipe for target 'install-libdbusmenu_gtkincludeHEADERS' failed
make[2]: *** [install-libdbusmenu_gtkincludeHEADERS] Error 1
make[2]: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
Makefile:1013: recipe for target 'install-am' failed
make[1]: *** [install-am] Error 2
make[1]: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
Makefile:1007: recipe for target 'install' failed
make: *** [install] Error 2
make: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
==> ERROR: A failure occurred in package_lib32-libdbusmenu-gtk3().

------------------------------
/usr/bin/install: cannot change permissions of '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/menu.h': No such file or directory
------------------------------

SunRed commented on 2016-02-10 12:15

@WoefulDerelict Thank you and greetings back!

WoefulDerelict commented on 2016-02-09 16:58

Greetings from libdusmenu. A user has pointed out that docbook-xsl is a necessary make dependency of this package and it will fail to build if it isn't installed.

FadeMind commented on 2016-02-03 14:28

Just libdbusmenu pkgbase package PKGBUILD updated for 12.10.3.15.04.20150410.2-1
https://github.com/FadeMind/archpkgbuilds/blob/master/AUR/customized/libdbusmenu/PKGBUILD

@SunRed Great work. Thanks for lib32 update.

Current situation:

pacman -Q|grep libdbusmenu
lib32-libdbusmenu-glib 12.10.3.15.04.20150410.2-1
lib32-libdbusmenu-gtk2 12.10.3.15.04.20150410.2-1
lib32-libdbusmenu-gtk3 12.10.3.15.04.20150410.2-1
lib32-libdbusmenu-qt 0.9.2-3
libdbusmenu-glib 12.10.3.15.04.20150410.2-1
libdbusmenu-gtk2 12.10.3.15.04.20150410.2-1
libdbusmenu-gtk3 12.10.3.15.04.20150410.2-1
libdbusmenu-qt4 0.9.3+15.10.20150604-3
libdbusmenu-qt5 0.9.3+15.10.20150604-3


AnAkkk commented on 2016-02-03 13:23

Saw your comment on steam-native, thanks :) libdbusmenu-* packages from community are still out of date though, the maintainer removes the out of date flag when I flag it for some reason. Although they're not used by Steam, so nevermind :)

SunRed commented on 2016-02-03 13:22

@AnAkkk Fixed and updated!

AnAkkk commented on 2016-01-11 20:43

This is actually out of date, as exactly like libappindicator/libindicator, the launchpad link doesn't point to the latest version of the package that is currently in use in Ubuntu, and which has bug fixes.

The latest version can be found here:
https://launchpad.net/ubuntu/+archive/primary/+files/libdbusmenu_12.10.3+15.04.20150410.2.orig.tar.gz
or
https://code.launchpad.net/~ubuntu-branches/ubuntu/wily/libdbusmenu/wily

Apparently this is why the Steam menu doesn't work with steam-native, as it was fixed in a later version of the libdbusmenu package:
https://bugs.launchpad.net/glipper/+bug/1203888

ImNtReal commented on 2015-03-22 14:51

@AnAkkk, it's back. I was switching it to a split package.

AnAkkk commented on 2015-03-22 13:58

lib32-libdbusmenu-glib no longer exists.

Freso commented on 2012-12-20 22:51

The error and all relevant information is not in Danish, AFAICT, which is why I went and paste(e)d it as I did. If you need to know about which circular dependencies are declared or when it enters or leaves which directory, I'll put up a C-locale paste...

swiftgeek commented on 2012-12-20 21:24

export LC_ALL=C
Then post any log in understandable language ;P

Freso commented on 2012-12-20 21:21

I'm getting this error:
"""
/usr/bin/mkdir -p '/tmp/makepkg/pkg/usr/lib32'
/bin/sh ../libtool --mode=install /usr/bin/install -c libdbusmenu-gtk.la '/tmp/makepkg/pkg/usr/lib32'
libtool: install: error: cannot install `libdbusmenu-gtk.la' to a directory not ending in /usr/lib
"""
Full build log at https://pastee.org/twxz4

swiftgeek commented on 2012-12-17 16:37

-j1 is only needed for make install/uninstall

swiftgeek commented on 2012-12-17 15:49

-j1 is only needed for make install/uninstall

ImNtReal commented on 2012-12-17 15:38

Try this new PKGBUILD, and see if it builds ok for you guys, now.

Vash63 commented on 2012-12-17 06:31

I can confirm it failed for me with makepkg, but editing the PKGBUILD to make -j1 as swiftgeek suggested allowed it to build correctly on my six-core system. Race condition?

swiftgeek commented on 2012-12-16 23:53

"PKGBUILDs should include dependencies there that are necessary for opt-deps"

AGAIN it's only true for binary repo — NOT AUR!

ImNtReal commented on 2012-12-16 04:22

I will remove it from make-depends, but it will likely be added back in the future since PKGBUILDs should include dependencies there that are necessary for opt-deps.

swiftgeek commented on 2012-12-15 21:31

Also it randomly fails on make install
use make install -j1
and make uninstall -j1

swiftgeek commented on 2012-12-15 21:22

Again, please remove lib32-python from makedepends since it's completely optional and this AUR, not a binary repository